summaryrefslogtreecommitdiffstats
path: root/deps/telepathy/signon-ui
diff options
context:
space:
mode:
Diffstat (limited to 'deps/telepathy/signon-ui')
-rw-r--r--deps/telepathy/signon-ui/patches/signon-ui_qt5.patch35
-rwxr-xr-xdeps/telepathy/signon-ui/signon-ui.SlackBuild104
-rw-r--r--deps/telepathy/signon-ui/signon-ui.url1
-rw-r--r--deps/telepathy/signon-ui/slack-desc19
4 files changed, 159 insertions, 0 deletions
diff --git a/deps/telepathy/signon-ui/patches/signon-ui_qt5.patch b/deps/telepathy/signon-ui/patches/signon-ui_qt5.patch
new file mode 100644
index 0000000..2035c1e
--- /dev/null
+++ b/deps/telepathy/signon-ui/patches/signon-ui_qt5.patch
@@ -0,0 +1,35 @@
+diff --git a/src/request.cpp b/src/request.cpp
+index 5556c79..4f51e8e 100644
+--- a/src/request.cpp
++++ b/src/request.cpp
+@@ -81,9 +81,7 @@ public:
+ }
+
+ private Q_SLOTS:
+-#if HAS_XEMBED
+ void onEmbedError();
+-#endif
+ void onIndicatorCallFinished(QDBusPendingCallWatcher *watcher);
+
+ private:
+@@ -194,9 +192,9 @@ void RequestPrivate::setWidget(QWidget *widget)
+ #endif
+ }
+
+-#if HAS_XEMBED
+ void RequestPrivate::onEmbedError()
+ {
++#if HAS_XEMBED
+ Q_Q(Request);
+
+ QX11EmbedWidget *embed = qobject_cast<QX11EmbedWidget*>(sender());
+@@ -204,8 +202,8 @@ void RequestPrivate::onEmbedError()
+
+ q->fail(SIGNON_UI_ERROR_EMBEDDING_FAILED,
+ QString("Embedding signon UI failed: %1").arg(embed->error()));
+-}
+ #endif
++}
+
+ Accounts::Account *RequestPrivate::findAccount()
+ {
diff --git a/deps/telepathy/signon-ui/signon-ui.SlackBuild b/deps/telepathy/signon-ui/signon-ui.SlackBuild
new file mode 100755
index 0000000..7530296
--- /dev/null
+++ b/deps/telepathy/signon-ui/signon-ui.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=signon-ui
+SRCNAM=signon-ui
+VERSION=${VERSION:-"0.17+15.10.20150810"}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${SRCNAM}-${VERSION}
+tar xvf $CWD/${SRCNAM}_${VERSION}.orig.tar.?z* || exit 1
+cd ${SRCNAM}-${VERSION} || exit 1
+
+# Make it compile against Qt5:
+cat $CWD/patches/signon-ui_qt5.patch | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5 \
+PATH=$QTDIR/bin:$PATH \
+ qmake \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX}
+
+make $NUMJOBS || make || exit 1
+make install INSTALL_ROOT=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING INSTALL NOTES README TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/telepathy/signon-ui/signon-ui.url b/deps/telepathy/signon-ui/signon-ui.url
new file mode 100644
index 0000000..5b18dc7
--- /dev/null
+++ b/deps/telepathy/signon-ui/signon-ui.url
@@ -0,0 +1 @@
+http://archive.ubuntu.com/ubuntu/pool/main/s/signon-ui/signon-ui_0.17+15.10.20150810.orig.tar.gz
diff --git a/deps/telepathy/signon-ui/slack-desc b/deps/telepathy/signon-ui/slack-desc
new file mode 100644
index 0000000..284ae56
--- /dev/null
+++ b/deps/telepathy/signon-ui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+signon-ui: signon-ui (online account sign-on user interface)
+signon-ui:
+signon-ui: Sign-on UI is the component responsible for handling the user
+signon-ui: interactions which can happen during the login process of an
+signon-ui: online account.
+signon-ui: It can show password dialogs and dialogs with embedded web pages.
+signon-ui:
+signon-ui:
+signon-ui:
+signon-ui: Homepage: https://launchpad.net/online-accounts-signon-ui
+signon-ui: